package com.cpic.xim.config.db;

import java.util.Objects;

public class DBTable
{
    public DBTable() {}

    public String getTableName()
    {
        return tableName;
    }

    public void setTableName( String tableName )
    {
        this.tableName = tableName;
    }

    public String getTableDescription()
    {
        return tableDescription;
    }

    public void setTableDescription( String tableDescription )
    {
        this.tableDescription = tableDescription;
    }

    @Override
    public boolean equals( Object o )
    {
        if ( this == o )
        {
            return true;
        }
        if ( !( o instanceof DBTable ) )
        {
            return false;
        }
        DBTable dbTable = (DBTable) o;
        return tableName.equals( dbTable.tableName ) && tableDescription.equals( dbTable.tableDescription );
    }

    @Override
    public int hashCode()
    {
        return Objects.hash( tableName, tableDescription );
    }

    private String tableName;
    private String tableDescription;
}
